Zulu® Cryptography Extension Kit

Zulu releases 8.27, 7.22, 6.19 and higher enable unlimited cryptographic policy by default. You can download the JCE policy files from the following location:

https://www.java.com/en/configure_crypto.html#unlimitedJCE

Zulu releases lower than 8.27, 7.22, and 6.19 were shipped with strong (128 bit) encryption, which was the standard level for OpenJDK. To set the effective cryptographic level for the whole JDK/JRE for those Zulu releases, as well as provide an upgrade to "unlimited" key sizes, use the Zulu Cryptography Extension Kit (Zulu CEK) . The Zulu CEK consists of one file named ZuluJCEPolicies.zip and is independent of platform and Java level, so it can be applied to any Zulu installed set.

The Zulu CEK download file does not contain any encryption functionality by itself. All encryption providers and functionality for each Java level is already provided within Zulu's regular JDK and JRE packages.

See also:

Download and Install the Zulu Cryptography Extension Kit for Zulu 8.25, 7.21, 6.18, and Lower

Use the Zulu Cryptography Extension Kit for Zulu 8.25, 7.21, 6.18, and Lower

Note: Zulu 9 uses the unlimited policy file by default. You can change the value of the crypto.policy property in the java.security file under conf/security/java.security for selecting the appropriate JCE policy file. Zulu CEK is not available for Zulu 9.

 

 

©2016 - 2019 Azul Systems. All Rights Reserved.